/*
getlot.c  Version 0.2.0 Lotto Odds
Copyright (C) 2002-2005  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:

	Free Software Foundation, Inc.
	59 Temple Place - Suite 330
	Boston, MA  02111-1307, USA.
*/

/*
Usage:
    	int select;
    	double odds;
    	double getlot(int select);
    	odds = getlot(select);
*/

#include <stdio.h>

#define FIFTYTWO 52

double getlot(select)
int select;
   {
   double odds;
   double max52;
   double topwin,toplose;
   double top;
   double bottom;
   double dbl52,dbl46;
   double combo(int n, int r);

   if (select < 3 || select > 6)
      {
      fprintf(stderr,"getlot: invalid select %d\n",
         select);
      exit(1);
      } /* invalid select */

   max52 = FIFTYTWO;
   dbl52 = (double) max52;
   dbl46 = dbl52 - 6.0;

   if (select == 6)
      {
      top = combo(6,6);
      bottom = combo(max52,6);
      odds = bottom / top;
      return(odds);
      } /* 6 */

   else if (select == 5)
      {
      topwin  = combo(6,select);
      toplose = combo(46,1);
      top = topwin * toplose;
      bottom = combo(max52,6);
      odds = bottom / top;
      return(odds);
      } /* 5 */

   else if (select == 4)
      {
      topwin  = combo(6,select);
      toplose = combo(46,2);
      top = topwin * toplose;
      bottom = combo(max52,6);
      odds = bottom / top;
      return(odds);
      } /* 4 */

   else if (select == 3)
      {
      topwin  = combo(6,select);
      toplose = combo(46,3);
      top = topwin * toplose;
      bottom = combo(max52,6);
      odds = bottom / top;
      return(odds);
      } /* 3 */

   fprintf(stderr,"getlot: edit failed "
      "when select is %d\n", select);
   exit(1);
   } /* getlot */
